package com.bonus.mq;

import org.springframework.stereotype.Component;

import java.lang.annotation.*;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Component
public @interface MQMessageListener {
   String group();

   String topic();

   String tag() default "*";

   int consumeThreadMax() default 1;

   int consumeThreadMin() default 1;

   int maxReconsumeTimes() default 1;
}
